#############################################################################
# Makefile for building: libkqoauth
# Generated by qmake (2.01a) (Qt 4.7.4) on: ? 9 15 00:41:48 2011
# Project:  src.pro
# Template: lib
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DUNICODE -DQT_LARGEFILE_SUPPORT -DKQOAUTH -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_HAVE_MMX -DQT_HAVE_3DNOW -DQT_HAVE_SSE -DQT_HAVE_MMXEXT -DQT_HAVE_SSE2 -DQT_THREAD_SUPPORT
CFLAGS        = -O2 -Wall $(DEFINES)
CXXFLAGS      = -O2 -frtti -fexceptions -mthreads -Wall $(DEFINES)
INCPATH       = -I"..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\include\QtCore" -I"..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\include\QtNetwork" -I"..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\include\QtGui" -I"..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\include" -I"." -I"..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\include\ActiveQt" -I"tmp" -I"..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\win32-g++"
LIB        =        ar -ru
QMAKE         = d:\kiyoshi\tool\qtsdk\desktop\qt\4.7.4\mingw\bin\qmake.exe
IDC           = d:\kiyoshi\tool\QtSDK\Desktop\Qt\4.7.4\mingw\bin\idc.exe
IDL           = midl
ZIP           = zip -r -9
DEF_FILE      = 
RES_FILE      = 
COPY          = copy /y
COPY_FILE     = $(COPY)
COPY_DIR      = xcopy /s /q /y /i
DEL_FILE      = del
DEL_DIR       = rmdir
MOVE          = move
CHK_DIR_EXISTS= if not exist
MKDIR         = mkdir
INSTALL_FILE    = $(COPY_FILE)
INSTALL_PROGRAM = $(COPY_FILE)
INSTALL_DIR     = $(COPY_DIR)

####### Output directory

OBJECTS_DIR   = tmp

####### Files

SOURCES       = kqoauthmanager.cpp \
		kqoauthrequest.cpp \
		kqoauthutils.cpp \
		kqoauthauthreplyserver.cpp \
		kqoauthrequest_1.cpp \
		kqoauthrequest_xauth.cpp tmp\moc_kqoauthmanager.cpp \
		tmp\moc_kqoauthrequest.cpp \
		tmp\moc_kqoauthrequest_xauth.cpp \
		tmp\moc_kqoauthauthreplyserver.cpp \
		tmp\moc_kqoauthauthreplyserver_p.cpp
OBJECTS       = tmp/kqoauthmanager.o \
		tmp/kqoauthrequest.o \
		tmp/kqoauthutils.o \
		tmp/kqoauthauthreplyserver.o \
		tmp/kqoauthrequest_1.o \
		tmp/kqoauthrequest_xauth.o \
		tmp/moc_kqoauthmanager.o \
		tmp/moc_kqoauthrequest.o \
		tmp/moc_kqoauthrequest_xauth.o \
		tmp/moc_kqoauthauthreplyserver.o \
		tmp/moc_kqoauthauthreplyserver_p.o
DIST          = 
QMAKE_TARGET  = kqoauth
DESTDIR        = ..\lib\ #avoid trailing-slash linebreak
TARGET         = libkqoauth.a
DESTDIR_TARGET = ..\lib\libkqoauth.a

####### Implicit rules

.SUFFIXES: .cpp .cc .cxx .c

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

first: all
all: Makefile.StaticRelease  ../lib/kqoauth.prl  $(DESTDIR_TARGET)

$(DESTDIR_TARGET):  $(OBJECTS) 
	ar -M < object_script.libkqoauth.Static-Release 

../lib/kqoauth.prl: 
	@$(QMAKE) -prl  -spec ..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\win32-g++ QMLJSDEBUGGER_PATH=D:/kiyoshi/tool/QtSDK/QtCreator/share/qtcreator/qml/qmljsdebugger src.pro
qmake:  FORCE
	@$(QMAKE) -spec ..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\win32-g++ QMLJSDEBUGGER_PATH=D:/kiyoshi/tool/QtSDK/QtCreator/share/qtcreator/qml/qmljsdebugger -o Makefile.StaticRelease src.pro

dist:
	$(ZIP) kqoauth.zip $(SOURCES) $(DIST) src.pro ..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\qconfig.pri ..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\modules\qt_webkit_version.pri ..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\features\qt_functions.prf ..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\features\qt_config.prf ..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\features\exclusive_builds.prf ..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\features\default_pre.prf ..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\features\win32\default_pre.prf ..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\features\release.prf ..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\features\debug_and_release.prf ..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\features\default_post.prf ..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\features\win32\default_post.prf ..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\features\build_pass.prf ..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\features\static.prf ..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\features\staticlib.prf ..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\features\static_and_shared.prf ..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\features\win32\rtti.prf ..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\features\win32\exceptions.prf ..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\features\win32\stl.prf ..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\features\warn_on.prf ..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\features\qt.prf ..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\features\win32\thread.prf ..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\features\moc.prf ..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\features\win32\windows.prf ..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\features\resources.prf ..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\features\uic.prf ..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\features\yacc.prf ..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\features\lex.prf ..\..\..\..\tool\QtSDK\Desktop\Qt\4.7.4\mingw\mkspecs\features\include_source_dir.prf  HEADERS RESOURCES IMAGES SOURCES OBJECTIVE_SOURCES FORMS YACCSOURCES YACCSOURCES LEXSOURCES 

clean: compiler_clean 
	-$(DEL_FILE) tmp\kqoauthmanager.o tmp\kqoauthrequest.o tmp\kqoauthutils.o tmp\kqoauthauthreplyserver.o tmp\kqoauthrequest_1.o tmp\kqoauthrequest_xauth.o tmp\moc_kqoauthmanager.o tmp\moc_kqoauthrequest.o tmp\moc_kqoauthrequest_xauth.o tmp\moc_kqoauthauthreplyserver.o tmp\moc_kqoauthauthreplyserver_p.o

distclean: clean
	-$(DEL_FILE) $(DESTDIR_TARGET)
	-$(DEL_FILE) Makefile.StaticRelease

check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: tmp/moc_kqoauthmanager.cpp tmp/moc_kqoauthrequest.cpp tmp/moc_kqoauthrequest_xauth.cpp tmp/moc_kqoauthauthreplyserver.cpp tmp/moc_kqoauthauthreplyserver_p.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) tmp\moc_kqoauthmanager.cpp tmp\moc_kqoauthrequest.cpp tmp\moc_kqoauthrequest_xauth.cpp tmp\moc_kqoauthauthreplyserver.cpp tmp\moc_kqoauthauthreplyserver_p.cpp
tmp/moc_kqoauthmanager.cpp: kqoauthrequest.h \
		kqoauthglobals.h \
		kqoauthmanager.h
	D:\kiyoshi\tool\QtSDK\Desktop\Qt\4.7.4\mingw\bin\moc.exe $(DEFINES) $(INCPATH) -D__GNUC__ -DWIN32 kqoauthmanager.h -o tmp\moc_kqoauthmanager.cpp

tmp/moc_kqoauthrequest.cpp: kqoauthglobals.h \
		kqoauthrequest.h
	D:\kiyoshi\tool\QtSDK\Desktop\Qt\4.7.4\mingw\bin\moc.exe $(DEFINES) $(INCPATH) -D__GNUC__ -DWIN32 kqoauthrequest.h -o tmp\moc_kqoauthrequest.cpp

tmp/moc_kqoauthrequest_xauth.cpp: kqoauthrequest.h \
		kqoauthglobals.h \
		kqoauthrequest_1.h \
		kqoauthrequest_xauth.h
	D:\kiyoshi\tool\QtSDK\Desktop\Qt\4.7.4\mingw\bin\moc.exe $(DEFINES) $(INCPATH) -D__GNUC__ -DWIN32 kqoauthrequest_xauth.h -o tmp\moc_kqoauthrequest_xauth.cpp

tmp/moc_kqoauthauthreplyserver.cpp: kqoauthglobals.h \
		kqoauthauthreplyserver.h
	D:\kiyoshi\tool\QtSDK\Desktop\Qt\4.7.4\mingw\bin\moc.exe $(DEFINES) $(INCPATH) -D__GNUC__ -DWIN32 kqoauthauthreplyserver.h -o tmp\moc_kqoauthauthreplyserver.cpp

tmp/moc_kqoauthauthreplyserver_p.cpp: kqoauthauthreplyserver.h \
		kqoauthglobals.h \
		kqoauthauthreplyserver_p.h
	D:\kiyoshi\tool\QtSDK\Desktop\Qt\4.7.4\mingw\bin\moc.exe $(DEFINES) $(INCPATH) -D__GNUC__ -DWIN32 kqoauthauthreplyserver_p.h -o tmp\moc_kqoauthauthreplyserver_p.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 



####### Compile

tmp/kqoauthmanager.o: kqoauthmanager.cpp kqoauthmanager.h \
		kqoauthrequest.h \
		kqoauthglobals.h \
		kqoauthmanager_p.h \
		kqoauthauthreplyserver.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tmp\kqoauthmanager.o kqoauthmanager.cpp

tmp/kqoauthrequest.o: kqoauthrequest.cpp kqoauthrequest.h \
		kqoauthglobals.h \
		kqoauthrequest_p.h \
		kqoauthutils.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tmp\kqoauthrequest.o kqoauthrequest.cpp

tmp/kqoauthutils.o: kqoauthutils.cpp kqoauthutils.h \
		kqoauthglobals.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tmp\kqoauthutils.o kqoauthutils.cpp

tmp/kqoauthauthreplyserver.o: kqoauthauthreplyserver.cpp kqoauthauthreplyserver.h \
		kqoauthglobals.h \
		kqoauthauthreplyserver_p.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tmp\kqoauthauthreplyserver.o kqoauthauthreplyserver.cpp

tmp/kqoauthrequest_1.o: kqoauthrequest_1.cpp kqoauthrequest_1.h \
		kqoauthrequest.h \
		kqoauthglobals.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tmp\kqoauthrequest_1.o kqoauthrequest_1.cpp

tmp/kqoauthrequest_xauth.o: kqoauthrequest_xauth.cpp kqoauthrequest_xauth_p.h \
		kqoauthglobals.h \
		kqoauthrequest_xauth.h \
		kqoauthrequest.h \
		kqoauthrequest_1.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tmp\kqoauthrequest_xauth.o kqoauthrequest_xauth.cpp

tmp/moc_kqoauthmanager.o: tmp/moc_kqoauthmanager.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tmp\moc_kqoauthmanager.o tmp\moc_kqoauthmanager.cpp

tmp/moc_kqoauthrequest.o: tmp/moc_kqoauthrequest.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tmp\moc_kqoauthrequest.o tmp\moc_kqoauthrequest.cpp

tmp/moc_kqoauthrequest_xauth.o: tmp/moc_kqoauthrequest_xauth.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tmp\moc_kqoauthrequest_xauth.o tmp\moc_kqoauthrequest_xauth.cpp

tmp/moc_kqoauthauthreplyserver.o: tmp/moc_kqoauthauthreplyserver.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tmp\moc_kqoauthauthreplyserver.o tmp\moc_kqoauthauthreplyserver.cpp

tmp/moc_kqoauthauthreplyserver_p.o: tmp/moc_kqoauthauthreplyserver_p.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tmp\moc_kqoauthauthreplyserver_p.o tmp\moc_kqoauthauthreplyserver_p.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

